# (c) cavaliba.com - pipeline.py



# -- pipeline


- classname: _permission
  keyname: p_pipeline_admin
  is_builtin: True
  description: "Built-in pipeline admin permission"
  displayname: "p_pipeline_admin"

- classname: _permission
  keyname: p_pipeline_create
  is_builtin: True
  description: "Built-in pipeline create permission"
  displayname: p_pipeline_create

- classname: _permission
  keyname: p_pipeline_read
  is_builtin: True
  description: "Built-in pipeline read permission"
  displayname: p_pipeline_read

- classname: _permission
  keyname: p_pipeline_update
  is_builtin: True
  description: "Built-in pipeline update permission"
  displayname: p_pipeline_update
      
- classname: _permission
  keyname: p_pipeline_delete
  is_builtin: True
  description: "Built-in pipeline delete permission"
  displayname: p_pipeline_delete

- classname: _permission
  keyname: p_pipeline_import
  is_builtin: True
  description: "Built-in pipeline import permission"
  displayname: p_pipeline_import

- classname: _permission
  keyname: p_pipeline_export
  is_builtin: True
  description: "Built-in pipeline export permission"
  displayname: p_pipeline_export


# -------------------
# schema: pipeline
# -------------------


- classname: _schema
  keyname: _pipeline
  displayname: Data Pipelines
  is_enabled: yes
  icon: fa-gears
  order: 500
  page: Admin
  handle_method: md5
  p_admin: p_pipeline_admin
  p_create: p_pipeline_create
  p_read: p_pipeline_read
  p_update: p_pipeline_update
  p_delete: p_pipeline_delete
  p_import: p_pipeline_import
  p_export: p_pipeline_export

  description:
    displayname: Description
    order: 100
    dataformat: string
  content:
    displayname: Content
    page: Content
    order: 100
    dataformat: text
    dataformat_ext: yaml

    

